<script setup lang="ts"></script>

<template>
  <div class="container">
    <v-row style="display: flex; height: 100%; align-items: center" class="text">
      <v-col class="ml-16">
        <h1 style="color: white; font-size: 100px">D-Coffee</h1>
        <p style="color: white; width: 650px">
          D-Coffee Store revolutionizes the cafe scene by merging technology with artisanal coffee
          craft. With a sleek mobile app for easy ordering and interactive touchscreen tables,
          customers enjoy a futuristic experience. Yet, at its core, D-Coffee remains dedicated to
          premium beans and skilled baristas, ensuring every cup is a sensory delight where
          tradition meets innovation.
        </p>
        <v-btn class="mt-6 hover-btn" rounded="" width="200" height="50" :to="{ name: 'pos' }"
          >Store</v-btn
        >
      </v-col>
      <v-col cols="6" sm="">
        <a href="/pro">
          <v-card width="300" height="300" rounded="xl" class="imgcard1" elevation="10">
            <h1 style="text-align: center; padding: 10px; color: white">Product</h1>
            <p style="padding: 10px; text-align: center; color: white">
              Quality, innovation, perfection.
            </p>
          </v-card>
        </a>
        <a href="/mem">
          <v-card width="300" height="300" rounded="xl" class="imgcard2 mt-10" elevation="10">
            <h1 style="text-align: center; padding: 10px; color: white">Member</h1>
            <p style="padding: 10px; text-align: center; color: white">
              Elevate with us. Unlock perks, rewards, and personalized recommendations.
            </p>
          </v-card>
        </a>
      </v-col>
      <v-col>
        <a href="/stock">
          <v-card width="300" height="300" rounded="xl" class="imgcard3" elevation="10">
            <h1 style="text-align: center; padding: 10px; color: white">Stock</h1>
            <p style="padding: 10px; text-align: center; color: white">Excellence curated.</p>
          </v-card>
        </a>
        <a href="/sales">
          <v-card width="300" height="300" rounded="xl" class="imgcard4 mt-10" elevation="10">
            <h1 style="text-align: center; padding: 10px; color: white">Total Sales</h1>
            <p style="padding: 10px; text-align: center; color: white">
              Tracking satisfaction. Every purchase reflects our dedication to exceptional coffee
              experiences.
            </p>
          </v-card>
        </a>
      </v-col>
    </v-row>
  </div>
</template>
<style scoped>
* {
  margin: 0;
  padding: 0;
  font-family: 'Muli', sans-serif;
}

.container {
  width: 100%;
  height: 100vh;
  background-image: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.7)), url('./bgc.jpg');
  background-position: center;
  background-size: cover;
  display: block;
  position: absolute;
  top: 0;
  left: 0;
}

.imgcard1 {
  width: 100%;
  height: 100%;
  display: inline-block;
  cursor: pointer;
  background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.8)), url('src/assets/1.jpg');
  background-position: center;
  background-size: cover;
  transition: transform 0.5s;
}

.imgcard2 {
  width: 100%;
  height: 100%;
  display: inline-block;
  cursor: pointer;
  background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.8)), url('src/assets/2.jpg');
  background-position: center;
  background-size: cover;
  transition: transform 0.5s;
}

.imgcard3 {
  width: 100%;
  height: 100%;
  display: inline-block;
  cursor: pointer;
  background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.8)), url('src/assets/3.jpg');
  background-position: center;
  background-size: cover;
  transition: transform 0.5s;
}

.imgcard4 {
  width: 100%;
  height: 100%;
  display: inline-block;
  cursor: pointer;
  background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.8)), url('src/assets/4.jpg');
  background-position: center;
  background-size: cover;
  transition: transform 0.5s;
}

.text {
  margin-left: 250px;
}

.imgcard3:hover {
  transform: translateY(-10px);
}

.imgcard1:hover {
  transform: translateY(-10px);
}

.imgcard2:hover {
  transform: translateY(-10px);
}

.imgcard4:hover {
  transform: translateY(-10px);
}

.hover-btn:hover {
  background-color: #a8a8a8;
  /* Change to desired hover background color */
  color: #333;
  /* Change to desired hover text color */
}
</style>
